StringBuilderAppendable (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.sqlbuilder, class: StringBuilderAppendable

# Class StringBuilderAppendable

java.lang.Object
org.apache.cayenne.access.sqlbuilder.StringBuilderAppendable

All Implemented Interfaces:
  `Appendable, QuotingAppendable`

Direct Known Subclasses:
  `DefaultQuotingAppendable`

public class StringBuilderAppendable extends Object implements QuotingAppendable

Since:
  4.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final StringBuilder`
  `builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringBuilderAppendable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuotingAppendable`
  `append(char c)`
  `QuotingAppendable`
  `append(int c)`
  `QuotingAppendable`
  `append(CharSequence csq)`
  `QuotingAppendable`
  `append(CharSequence csq, int start, int end)`
  `QuotingAppendable`
  `appendQuoted(CharSequence csq)`
  `SQLGenerationContext`
  `getContext()`
  `String`
  `toString()`
  `StringBuilder`
  `unwrap()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### builder

    protected final StringBuilder builder

- ## Constructor Details

  - ### StringBuilderAppendable

    public StringBuilderAppendable()

- ## Method Details

  - ### append

    public QuotingAppendable append(CharSequence csq)
    Specified by:
      `append` in interface `Appendable`
    Specified by:
      `append` in interface `QuotingAppendable`

  - ### append

    public QuotingAppendable append(CharSequence csq, int start, int end)
    Specified by:
      `append` in interface `Appendable`
    Specified by:
      `append` in interface `QuotingAppendable`

  - ### append

    public QuotingAppendable append(char c)
    Specified by:
      `append` in interface `Appendable`
    Specified by:
      `append` in interface `QuotingAppendable`

  - ### append

    public QuotingAppendable append(int c)
    Specified by:
      `append` in interface `QuotingAppendable`

  - ### appendQuoted

    public QuotingAppendable appendQuoted(CharSequence csq)
    Specified by:
      `appendQuoted` in interface `QuotingAppendable`

  - ### getContext

    public SQLGenerationContext getContext()
    Specified by:
      `getContext` in interface `QuotingAppendable`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### unwrap

    public StringBuilder unwrap()